String.prototype.startWith=function(str){     
  var reg=new RegExp("^"+str);     
  return reg.test(this);        
} 
 

function getTag(result){
         var href = result;
         var content = result;
         if(result.indexOf(',')>0){
                   var t = result.split(',');
                   href = t[0];
                   content = t[1];
         }
         return {'href': href, 'content': content};
}
function TagHandler() 
{ 
         var bodyContentText = document.body.innerText;
         var bodyContent = document.body.innerHTML;
         var telPatt = /\[(电话:|电话：|tel:|tel：)(.*?[^\]])\]/gi;
         var uriPatt = /\[(网址:|网址：|www:|www：)(.*?[^\]])\]/gi;
         var smsPatt = /\[(短信:|短信：|sms:|sms：)(.*?[^\]])\]/gi;
         var modulePatt = /\[(模块:|模块：|mod:|mod：)(.*?[^\]])\]/gi;
         var result;
 

         //打电话
         while ((result = telPatt.exec(bodyContent)) != null)  {
                   var data = getTag(result[2]);
                   bodyContent = bodyContent.replace(result[0], '<a href="tel:'+ data.href +'">'+ data.content + '</a>');
         }
         //网址
         while ((result = uriPatt.exec(bodyContent)) != null)  {
                   var data = getTag(result[2]);
                   if(!data.href.startWith('http://')){
                            data.href = 'http://' + data.href;
                   }
                   bodyContent = bodyContent.replace(result[0], '<a href="'+ data.href +'">'+ data.content +'</a>');
         }
         //发短信
         while ((result = smsPatt.exec(bodyContent)) != null)  {
                   var data = getTag(result[2]);
                   bodyContent = bodyContent.replace(result[0], '<a href="smsto:'+ data.href +'">'+ data.content +'</a>');
         }
         //模块
         while ((result = modulePatt.exec(bodyContent)) != null)  {
                   var data = getTag(result[2]);
                   bodyContent = bodyContent.replace(result[0], '<a href="native://'+ data.href +'">'+ data.content +'</a>');
         }
         document.body.innerHTML = bodyContent;
} 
window.onload = TagHandler(); 